Skip to main content
List tools for one target MCP server
curl --request GET \
  --url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/targets/{targetId}/mcp/servers/{serverId}/tools \
  --cookie acornops_cp_session=
{
  "items": [
    {
      "name": "<string>",
      "description": "<string>",
      "inputSchema": {},
      "enabledConfigured": true,
      "enabledEffective": true
    }
  ],
  "nextCursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.acornops.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

targetId
string<uuid>
required
Example:

"5b006e4c-509c-458a-9f02-5aafbdc01ade"

serverId
string<uuid>
required
Example:

"42573ae4-0a1f-4488-ae1f-e6bd3fd2469b"

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 100
cursor
string
q
string
capability
enum<string>
Available options:
read,
write
enabled
boolean

Response

MCP server tool page payload: { items, nextCursor? }.

items
object[]
required
nextCursor
string